# -*- coding: utf-8 -*-
from setuphelpers import *

# Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls

bin_contains = "OpenJDK11U"
bin_vm = "temurin-11.jre"


def install():
    # Declaring local variables
    # package_version = control.get_software_version()
    bin_name = glob.glob("*%s*.pkg" % bin_contains)[0]
    # uninstalling previous version
    if isdir("/Library/Java/JavaVirtualMachines/%s" % bin_vm):
        print("suppression de openjdk")
        remove_tree("/Library/Java/JavaVirtualMachines/%s" % bin_vm)

    # Installing the software
    print("Installing: %s" % bin_name)
    install_pkg(bin_name)


def uninstall():
    print("suppression de openjdk")
    remove_tree("/Library/Java/JavaVirtualMachines/%s" % bin_vm)
